package sk.stuba.fiit.account;

public class Account {
	private String IDaccount;
	private String ownerName;
	private double amount;
		
	public Account(String ownerName, double amount) {
		super();
		this.ownerName = ownerName;
		this.amount = amount;
		System.out.println("Bol vytvoren et na meno: " + this.ownerName + " s vkladom vo vyke: " + this.amount);
	}
	
	void addFunds(double amount) {
		this.amount += amount;
		System.out.println("Bol realizovany vklad vo vyske: " + amount);
	}
	
	void transfer(Account a, double amount) {
		this.amount -= amount;
		a.addFunds(amount);
	}
	
	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public double getAmount() {
		return amount;
	}

	public String toString() {
		return "Stav: " + this.amount;
	}
	
}
